# MusicBoxConverter

> Converts MIDI files into music box scores that are ready to print.

## Usage
1. Export the MuseScore file to a MIDI file
2. Run the MIDI file through this program.
3. Open the resulting SVG in Inkscape
4. Print the SVG to PDF
5. Open the resulting PDF in LibreOffice Draw
6. Print to your actual printer - tiling over multiple pages if required.

This somewhat convoluted process prevents anyone from automatically rescaling it along the way.

## Useful Links
 - [ffmpeg - showspectrumpic manual](https://ffmpeg.org/ffmpeg-filters.html#showspectrumpic)
 - [Frequency to Musical Note Converter](https://newt.phys.unsw.edu.au/music/note/)
